package com.andersjbe.springflux.repository;

import com.andersjbe.springflux.model.Person;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@Repository
public interface PersonRepository extends ReactiveCrudRepository<Person, String> {

    Flux<Person> findAll();

    Mono<Person> findPersonById(String Id);

    Mono<Person> deletePersonById(String id);

    Boolean existsPersonById(String id);


}
