package com.andersjbe.springflux.test;

import com.andersjbe.springflux.model.Person;
import org.reactivestreams.Subscriber;
import org.reactivestreams.Subscription;

public class PersonSubscriber implements Subscriber<Person> {
    @Override
    public void onSubscribe(Subscription subscription) {
        subscription.request(100);
        System.out.println("SUBSCRIBED");
    }

    @Override
    public void onNext(Person person) {
        System.out.println("NEXT: " + person);
    }

    @Override
    public void onError(Throwable throwable) {
        System.out.println("ERROR: " + throwable);
    }

    @Override
    public void onComplete() {
        System.out.println("COMPLETE==============================");
    }
}
